Description: Fix test with IO::Socket::SSL >= 2.079
 t/testmodule.t writes to STDERR
   ok #bad request handled 9
   Use of uninitialized value $2 in concatenation (.) or string at /usr/share/perl5/IO/Socket/SSL.pm line 792.
   ok #client good connection test 8
 after the change in IO::Socket::SSL 2.079:
   - https://github.com/noxxi/p5-io-socket-ssl/issues/123
   - https://github.com/noxxi/p5-io-socket-ssl/commit/2681d9d9b0a5ba25abd7e32251daa3d1fc2b466a
 .
 Add SSL_verifycn_name to the test client.
Origin: vendor
Bug-Debian: https://bugs.debian.org/1031305
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2023-02-14
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=146478
Bug: https://rt.cpan.org/Ticket/Display.html?id=146478

--- a/t/testmodule.t
+++ b/t/testmodule.t
@@ -93,7 +93,8 @@
     $client = new IO::Socket::SSL(PeerAddr => $SSL_SERVER_ADDR,
 				  PeerPort => $SSL_SERVER_PORT,
 				  SSL_verify_mode => 0x01,
-				  SSL_ca_file => "certs/test-ca.pem");
+				  SSL_ca_file => "certs/test-ca.pem",
+				  SSL_verifycn_name => "127.0.0.1");
 
     $client || (print("not ok #client failure\n") && exit);
     &ok("client good connection test");
